
QGIS Application - Feature request #9144

add iface global to script namespace

2013-11-30 10:56 AM - Victor Olaya

Status: Closed

Priority: Low

Assignee: Victor Olaya

Category: Processing/Core

Pull Request or Patch supplied:No Resolution: wontfix

Easy fix?: No Copied to github as #: 17779

Description

Also it would be good toimport qgis.core by default

History

#1 - 2014-03-26 07:34 AM - Alexander Bruy

- Category set to 63

#2 - 2014-10-04 12:08 PM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Project changed from 78 to QGIS Application

- Category deleted (63)

- Affected QGIS version set to 2.4.0

#3 - 2014-10-04 12:09 PM - Giovanni Manghi

- Category set to Processing/Core

#4 - 2014-10-26 08:01 AM - Jürgen Fischer

- Tracker changed from Bug report to Feature request

#5 - 2015-06-08 06:21 AM - Victor Olaya

- Priority changed from High to Low

#6 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No

#7 - 2017-06-29 09:05 AM - Nyall Dawson

- Status changed from Open to Feedback

Victor - are you sure we want to do this? My 2c is that we'd want to avoid this, to prevent any forced dependency on processing algs on iface. Otherwise

we're going to run into issues when trying to run algorithms via standalone scripts or on server. Not having access to iface is a good way to prevent this

dependency.

#8 - 2018-11-04 11:36 PM - Nyall Dawson

- Resolution set to wontfix

- Status changed from Feedback to Closed
